summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-office/impressive/Manifest1
-rw-r--r--app-office/impressive/impressive-0.13.0_beta2.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/app-office/impressive/Manifest b/app-office/impressive/Manifest
index 7f0ca356455..2b7a7e395d9 100644
--- a/app-office/impressive/Manifest
+++ b/app-office/impressive/Manifest
@@ -1 +1,2 @@
DIST Impressive-0.13.0-beta1a.tar.gz 213098 BLAKE2B c76ce023f9c44865db68d1d2049aba022581d5e62cf027cc4df63ae541a8471867e75749a2f72c8e1f9e2e7ca2640611e090080ac563cff54f521ea47a351304 SHA512 5484f9764848129150d03233a9b270d2c31ec5f5083100662dd3cca85d3c7ead0000bd23b7d531ad45667410e1a1ea5d97ca1a2f4e8a2449dc730273144e56e8
+DIST Impressive-0.13.0-beta2.tar.gz 311905 BLAKE2B fb912ada1f44b2af9bd1eed4c7e1d4bfae5ba42449a9b1a154500a9d892c1070c9da127c8c3cbd35ce033a768a00db359deb1a045996cfeb7253f92d289aed82 SHA512 45c094d30e898a1843869cdcd490315c8280bbe2f5cc58f7695be2f0876075718517a502af16e040981b3f3a8fd955000d9ff76e20850b4bedf52c0d2bbd098e
diff --git a/app-office/impressive/impressive-0.13.0_beta2.ebuild b/app-office/impressive/impressive-0.13.0_beta2.ebuild
new file mode 100644
index 00000000000..f21221397d3
--- /dev/null
+++ b/app-office/impressive/impressive-0.13.0_beta2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit eutils python-r1
+
+DESCRIPTION="Stylish way of giving presentations with Python"
+HOMEPAGE="http://impressive.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${PN^}/${PV/_/-}/${PN^}-${PV/_/-}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ app-text/mupdf
+ dev-python/pygame[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ x11-apps/xrandr
+ || (
+ media-fonts/dejavu
+ media-fonts/corefonts
+ )
+"
+
+DOCS=( changelog.txt demo.pdf )
+HTML_DOCS=( impressive.html )
+
+S="${WORKDIR}/${PN^}-${PV/_/-}"
+
+src_install() {
+ default
+ python_foreach_impl python_doscript ${PN}.py
+ doman impressive.1
+}
+
+pkg_postinst() {
+ elog "The experience with ${PN^} can be enhanced by folowing packages:"
+ optfeature "starting web or e-mail hyperlinks from PDF documents" x11-misc/xdg-utils
+ optfeature "sound and video playback" media-video/ffmpeg
+ optfeature "sound and video playback" media-video/mplayer
+ optfeature "sound and video playback" media-video/mplayer2
+ optfeature "extraction of PDF page titles" app-text/pdftk
+}